=== debian/rules ===
#!/usr/bin/make -f

DEB_DH_INSTALL_SOURCEDIR := debian/tmp
DEB_CMAKE_EXTRA_FLAGS := -DCMAKE_CXX_LINK_FLAGS="-Wl,-rpath-link,/usr/lib -Wl,-rpath-link,/lib"

include debian/cmake.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk
