## wv2 0.4.2.dfsg.1

=== debian/changelog ===
wv2 (0.4.2.dfsg.1-7) unstable; urgency=low

  * The mips/mipsel issue appears to be due to the wv2 code assuming it knows
    the bit pattern for NaN and Inf, so revert the change to disable
    optimisation (which didn't actually work anyway) and add new patch
    fix-nan-and-inf-for-mips.patch.

 -- Olly Betts <olly@survex.com>  Thu, 05 Jan 2012 05:14:37 +0000

wv2 (0.4.2.dfsg.1-6) unstable; urgency=low

  * Enabling hardening build flags also turned on optimisation, which results
    in a bus error in handlertest on mips and mipsel.  The backtrace is useless
    so just disable optimisation again for these two archs.

 -- Olly Betts <olly@survex.com>  Sun, 01 Jan 2012 11:15:19 +0000

wv2 (0.4.2.dfsg.1-5) unstable; urgency=low

  * Enable hardened build flags.

 -- Olly Betts <olly@survex.com>  Wed, 28 Dec 2011 23:24:21 +0000

wv2 (0.4.2.dfsg.1-4) unstable; urgency=low

  * Fix avoid-writing-after-structures.patch to actually work.

 -- Olly Betts <olly@survex.com>  Thu, 01 Dec 2011 05:12:36 +0000

wv2 (0.4.2.dfsg.1-3) unstable; urgency=low

  * New patch avoid-writing-after-structures.patch to fix word95test and
    word97test not to write after the end of word-aligned structures, fixing
    FTBFS on sparc.

 -- Olly Betts <olly@survex.com>  Wed, 30 Nov 2011 14:23:07 +0000

wv2 (0.4.2.dfsg.1-2) unstable; urgency=low

  * New maintainer.

 -- Olly Betts <olly@survex.com>  Wed, 30 Nov 2011 13:01:02 +0000

wv2 (0.4.2.dfsg.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add patch fix-ftbfs-with-gold.patch to fix FTBFS with binutils-gold.
    (Closes: #556686)
  * Add patch fix-handling-empty-associatedstrings.patch to fix handling of
    .doc files with an empty associated strings section. (Closes: #603868)
  * Build with debugging messages disabled. (Closes: #603871)
  * Drop leading article from short description.
  * Actually run the testsuite, don't just build it (needs new patch
    fix-tests.patch)
  * "Standards-Version: 3.9.2":
    + Include the BSD licence in debian/copyright rather than referring to
      /usr/share/common-licenses/BSD.

 -- Olly Betts <olly@survex.com>  Wed, 30 Nov 2011 12:04:22 +0000

wv2 (0.4.2.dfsg.1-1) unstable; urgency=low

  * New upstream release.
  * Switch to 3.0 (quilt) source format. No changes required further adding
    debian/source/format.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 14 Nov 2009 00:28:32 +0100

wv2 (0.4.1.dfsg-1) unstable; urgency=low

  * New upstream release. "Another release, another bump soname".
  * Update from upstream to build with GCC 4.4. (Closes: #548708)
  * Bump soname fom libwv2-3 to libwv2-4, make changes accordingly.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 10 Oct 2009 18:10:30 +0200

wv2 (0.4.0.dfsg-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Pino Toscano:

  * Bump SONAME.
  * Switch to dh, and bump debhelper requirements & compatibility to 7.
  * wv2's build system is cmake now, so build-depend on it.
  * Add dependency on ${misc:Depends}, given debhelper is used.
  * Bump Standards-Version to 3.8.3, no changes required.
  * Remove duplicate section from binary libwv2-3 in control.
  * Update copyright.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 18 Sep 2009 17:59:51 +0200

wv2 (0.3.1.dfsg-1) unstable; urgency=low

  * Repack tarball and remove unlicesed documentation. Document this in
    Debian.README.
  * Update debian/copyright.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 07 Aug 2009 16:32:59 +0200

wv2 (0.3.1-1) unstable; urgency=low

  * New upstream release.
  * Remove patches: 
    - gcc_4.3_fixes, merged upstream. 
    - 05_relibtoolize.dpatch, 50_autogen.dpatch, 10_wv2-config_static.dpatch,
      obsolete.
    - remove quilt patching stuff.
  * Remove deprecated libstdc++-dev, it is being updated in build-essential.
  * Rename libwv2-1c2 -> libwv2-2.
  * Update to debhelper 6. 
  * Add Homepage field.
  * Update debian/copyright.
  * Update to Standards-Version: 3.8.2, no changes required.
  * Update uploaders, remove Isaac.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Fri, 07 Aug 2009 00:31:33 +0200
