=== debian/control ===
Source: wv2
Section: libs
Priority: optional
Maintainer: Olly Betts <olly@survex.com>
Build-Depends: debhelper (>= 7.3.12), cmake, libglib2.0-dev, libgsf-1-dev (>= 1.14.0), libxml2-dev, zlib1g-dev, pkg-config, python
Standards-Version: 3.9.2
Homepage: http://wvware.sourceforge.net

Package: libwv2-4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libwv2-1
Replaces: libwv2-1
Description: library for accessing Microsoft Word documents
 The wv2 library allows access to Microsoft Word documents, for the
 purpose of converting them to other formats.  This library is intended
 as an eventual replacement for the wv library, used in the package wv.

Package: libwv2-dev
Architecture: any
Section: libdevel
Depends: libwv2-4 (= ${binary:Version}), libglib2.0-dev, libgsf-1-dev (>= 1.14.0), libxml2-dev, ${misc:Depends}
Description: development files for Microsoft Word access library
 The wv2 library allows access to Microsoft Word documents, for the
 purpose of converting them to other formats.  This library is intended
 as an eventual replacement for the wv library, used in the package wv.
 .
 This package contains development files for using libwv2 within your own
 projects.
