=== debian/rules ===
#!/usr/bin/make -f

CXXFLAGS := `dpkg-buildflags --get CXXFLAGS` `dpkg-buildflags --get CPPFLAGS`
CXXFLAGS += -DNDEBUG

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_CXX_FLAGS="$(CXXFLAGS)"

override_dh_auto_test:
	dh_auto_test
	cp tests/*.doc obj-*/tests
	cd obj-*/tests ; for t in *test ; do \
	  echo "Running test $$t" ;\
	  if [ $$t = handlertest ]; then \
	    set -e ; ./$$t testole.doc ;\
	  else \
	    set -e ; ./$$t ;\
	  fi \
	done
