## wv2 0.4.2.dfsg.1-1ubuntu1

=== debian/changelog ===
wv2 (0.4.2.dfsg.1-1ubuntu1) lucid; urgency=low

  * Sync with Debian, closes LP: #477877
  * Don't use source format 3.0

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 15 Dec 2009 18:02:44 +0000

wv2 (0.3.1.dfsg-1ubuntu1) karmic; urgency=low

  * Correct tests for function existance in src/ustring.cpp to fix FTBFS with
    GCC 4.4
    - Changes from Debian bug 548708

 -- Scott Kitterman <scott@kitterman.com>  Sun, 04 Oct 2009 20:26:32 -0400
