=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: wv2
 Section: libs
 Priority: optional
-Maintainer: Olly Betts <olly@survex.com>
-Build-Depends: debhelper (>= 7.3.12), cmake, libglib2.0-dev, libgsf-1-dev (>= 1.14.0), libxml2-dev, zlib1g-dev, pkg-config, python
-Standards-Version: 3.9.2
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>
+Build-Depends: debhelper (>= 7.3.12), cmake, libglib2.0-dev, libgsf-1-dev (>= 1.14.0), libxml2-dev, zlib1g-dev, pkg-config
+Standards-Version: 3.8.3
 Homepage: http://wvware.sourceforge.net
 
 Package: libwv2-4
@@ -11,7 +13,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: libwv2-1
 Replaces: libwv2-1
-Description: library for accessing Microsoft Word documents
+Description: a library for accessing Microsoft Word documents
  The wv2 library allows access to Microsoft Word documents, for the
  purpose of converting them to other formats.  This library is intended
  as an eventual replacement for the wv library, used in the package wv.
