=== debian/changelog ===
wv2 (0.4.2.dfsg.2-2ubuntu25.10.0+6) questing; urgency=low

  * Use tde-cdbs and tde-cmake for building

 -- Michele Calgaro <michele.calgaro@yahoo.it>  Thu, 24 Sep 2025 13:35:00 +0900

wv2 (0.4.2.dfsg.2-2debian14.0.0+5~a) forky; urgency=low

  * Use latest tde.mk file

 -- Michele Calgaro <michele.calgaro@yahoo.it>  Wed, 23 Sep 2025 21:09:00 +0900

wv2 (0.4.2.dfsg.2-2debian11.0.0+4~a) bullseye; urgency=low

  * Dropped python support

 -- Michele Calgaro <michele.calgaro@yahoo.it>  Fri, 06 Jan 2023 10:30:17 +0900

wv2 (0.4.2.dfsg.2-2debian11.0.0+3~a) bullseye; urgency=low

  * Switch to cdbs
  * Switch to build using ninja-build
  * Install libraries according to multi-arch rules

 -- Slávek Banko <slavek.bnako@axis.cz>  Wed, 19 May 2021 15:47:53 +0200

wv2 (0.4.2.dfsg.2-2debian11.0.0+1~a) bullseye; urgency=low

  * Replace python dependency with python-all.

 -- Slávek Banko <slavek.bnako@axis.cz>  Tue, 07 Apr 2020 20:57:23 +0200

wv2 (0.4.2.dfsg.2-2ubuntu20.04.0+0~a) focal; urgency=low

  * Run "make test" directly to avoid differences between when dh_auto_test
    thinks the testsuite should be run and when we do.  (Closes: #718141)
  * Enable LFS so that we can read files of CIFS shares.
  * debian/rules: Simplify - dh compat 9 handles passing CPPFLAGS under
    cmake.
  * Support parsing end notes (new patch support-endnotes.patch from upstream
    SVN).

 -- Olly Betts <olly@survex.com>  Thu, 29 Aug 2013 10:38:30 +1200

wv2 (0.4.2.dfsg.2-1) unstable; urgency=low

  * Repack to remove src/generator/generator_wword{6,8}.htm, which are
    based on documents from Microsoft.  These two files were documented as
    removed in README.Debian, but actually still present.
  * Improve wording in README.Debian.
  * "Standards-Version: 3.9.4": No changes required.

 -- Olly Betts <olly@survex.com>  Thu, 30 May 2013 11:21:57 +0000

wv2 (0.4.2.dfsg.1-10) unstable; urgency=low

  * Fix to use -I options from libgsf's pkg-config so libxml headers are
    found.  (Closes: #707417)
  * Honour DEB_BUILD_OPTIONS nocheck in debian/rules.  (Closes: #685920)
  * Fix double "-l" in output from wv2-config --libs.  (LP: #1017413)

 -- Olly Betts <olly@survex.com>  Fri, 10 May 2013 12:06:41 +1200

wv2 (0.4.2.dfsg.1-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * [SECURITY] Fix "Buffer overflow":
    add patch buffer-overflow.patch, taken from calligra git.
    (Closes: #684078)

 -- gregor herrmann <gregoa@debian.org>  Sun, 26 Aug 2012 15:20:51 +0200

wv2 (0.4.2.dfsg.1-9) unstable; urgency=low

  * Apply hardening to CFLAGS too (patch from Simon Ruderich in private mail).
  * Fix compatibility with glib 2.32 (Closes: #665626)

 -- Olly Betts <olly@survex.com>  Sun, 25 Mar 2012 04:04:44 +0000

wv2 (0.4.2.dfsg.1-8) unstable; urgency=low

  * "Standards-Version: 3.9.3": No changes required.
  * Ensure hardening LDFLAGS are used by updating to debhelper compat level 9.
    (Closes: #662009)

 -- Olly Betts <olly@survex.com>  Fri, 23 Mar 2012 09:30:09 +0000
